Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 373823 - app-portage/gentoolkit-0.3.0.4: `euse -i` dumps errors about missing repo_name files
Summary: app-portage/gentoolkit-0.3.0.4: `euse -i` dumps errors about missing repo_nam...
Status: UNCONFIRMED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Tools (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 346443
  Show dependency tree
 
Reported: 2011-07-02 15:36 UTC by pavel sanda
Modified: 2012-12-25 01:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch (euse.patch,443 bytes, text/plain)
2012-02-20 18:06 UTC, pavel sanda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pavel sanda 2011-07-02 15:36:11 UTC
when listing use flags via euse -i flag i see for each listed category:

cat: /usr/local/portage/profiles/repo_name: No such file or directory

using gentoolkit-0.3.0.0.

Reproducible: Always




Portage 2.1.9.42 (default/linux/x86/10.0/desktop, gcc-4.3.2, libc-0-r0, 2.6.38-gentoo-r7 i686)
=================================================================
System uname: Linux-2.6.38-gentoo-r7-i686-Intel-R-_Core-TM-2_Duo_CPU_T9550_@_2.66GHz-with-gentoo-2.0.2
Timestamp of tree: Sat, 02 Jul 2011 15:00:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r2, 3.1.3-r1
dev-util/ccache:     2.4-r9
dev-util/cmake:      2.8.1-r2
dev-util/pkgconfig:  0.25-r2
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.2-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.4_p6-r1, 1.7.9-r2, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.2-r3
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.82
sys-kernel/linux-headers: 2.6.38
sys-libs/glibc:      2.12.2
virtual/os-headers:  0
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=core2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.sh.cvut.cz/MIRRORS/gentoo/"
LANG="en_US"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/rebutia /usr/local/portage /usr/local/portage/layman/sunrise /usr/local/portage/layman/enlightenment"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acpi alsa avahi berkdb branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gdu gif gpm gtk hdaps iconv ieee1394 ipv6 jbig jpeg jpeg2k laptop latex lcms lm_sensors mad mng modules mp3 mp4 mpeg mudflap ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support qt4 readline sdl session spell sse sse2 sse3 ssl startup-notification svg sysfs tcpd threads tiff truetype udev unicode usb vim-syntax vorbis wifi x264 x86 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 SpanKY gentoo-dev 2011-07-03 16:30:36 UTC
not much point in those errors being visible to users
Comment 2 Paul Varner (RETIRED) gentoo-dev 2011-07-05 19:51:36 UTC
Until this is fixed the following command will hide the error messages in the output: 'euse -i less 2>/dev/null'
Comment 3 Langator 2011-09-25 23:23:19 UTC
in the file: /usr/bin/euse

   if [[ -s $(dirname ${portdir}/repo_name) ]]; then
       overlay="$(cat "${portdir}/profiles/repo_name")"
   else


always return zero
[[ -s $(dirname ${portdir}/repo_name) ]]
Comment 4 pavel sanda 2012-02-19 11:52:42 UTC
hi, should i prepare the patch or report this bug elsewhere to get it fixed?
Comment 5 Paul Varner (RETIRED) gentoo-dev 2012-02-20 17:25:37 UTC
Patches are always welcome.  So if you do have a patch, please attach it to the bug.
Comment 6 pavel sanda 2012-02-20 18:06:35 UTC
Created attachment 302625 [details]
patch

like this
Comment 7 Paul Varner (RETIRED) gentoo-dev 2012-02-20 23:28:07 UTC
Thanks for the patch.  This is fixed in git and will be released in gentoolkit-0.3.0.4-r6
Comment 8 pavel sanda 2012-05-02 17:21:07 UTC
so we can close it?